<?xml version="1.0" encoding="UTF-8" ?>

<ClassComponent localName="Between" description="Компонент Between."
	fileName="NPCBetween.jar" className="org.mati.npc.components.between.NPCBetween"
	version="8791" time="17.02.2009 01:05:07">

	<!--INLINKS BEGIN-->
	<INLink name="InExecute"
		description="Связь, служащая для передачи сообщения о том, что необходимо выполнить операцию сравнения."
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="0" nullable="true">
	</INLink>
	<INLink name="InSetValue"
		description="Связь, служащая для назначения числа для операции сравнения."
		interfaceName="org.mati.npc.components.interfaces.FloatValue"
		linksNumber="0" nullable="true">
	</INLink>
	<INLink name="InSetMinValue"
		description="Связь, служащая для назначения левой границы интервала сравнения."
		interfaceName="org.mati.npc.components.interfaces.FloatValue"
		linksNumber="0" nullable="true">
	</INLink>
	<INLink name="InSetMaxValue"
		description="Связь, служащая для назначения правой границы интервала сравнения."
		interfaceName="org.mati.npc.components.interfaces.FloatValue"
		linksNumber="0" nullable="true">
	</INLink>
	<!--INLINKS END-->

	<!--OUTLINKS BEGIN-->
	<OUTLink name="OutFalse"
		description="Связь, служащая для передачи сообщения о том, что условие сравнения не соблюдается."
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="0" nullable="true">
	</OUTLink>
	<OUTLink name="OutTrue"
		description="Связь, служащая для передачи сообщения о том, что условие сравнения соблюдается."
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="0" nullable="true">
	</OUTLink>
	<!--OUTLINKS END-->

	<!--PROPERTIES BEGIN-->
	<Attribute name="Min"
		description="Левая граница интервала (строгое сравнение)."
		type="java.lang.Float" nullable="true">
	</Attribute>
	<Attribute name="Max"
		description="Правая граница интервала (строгое сравнение)."
		type="java.lang.Float" nullable="true">
	</Attribute>
	<Attribute name="PerformActionEnabled"
		description="TRUE - проверка значения выполняется немедленно, FALSE - проверка выполняется по событию InExecute."
		type="java.lang.Boolean" nullable="true" defaultValue="false">
	</Attribute>
	<!--PROPERTIES END-->

</ClassComponent>